Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet
Class JspRegisterGenerator

    java.lang.Object
      com.ejie.r01f.servlet.JspRegisterGenerator

public class JspRegisterGenerator
extends java.lang.Object

Constructor Summary
`JspRegisterGenerator()`

Method Summary
`java.util.Map` | `generateJspRegisterTags(java.lang.String jspDocRoot, java.lang.String webAppRoot, java.lang.String webAppRootRelativeJspDocRoot)` Genera los tags de registro de los jsp
`java.lang.String` | `generateJspRegisterTagsAsString(java.lang.String jspDocRoot, java.lang.String webAppRoot, java.lang.String webAppRootRelativeJspDocRoot)` Genera los textos de los tags de registro de los jsp
`static void` | `main(java.lang.String[] argv)` Metodo main (para probar el temilla...)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspRegisterGenerator

    public JspRegisterGenerator()

Method Detail

### generateJspRegisterTagsAsString

    public java.lang.String generateJspRegisterTagsAsString(java.lang.String jspDocRoot,
                                                            java.lang.String webAppRoot,
                                                            java.lang.String webAppRootRelativeJspDocRoot)

  Genera los textos de los tags de registro de los jsp

  Returns:
    (String) El texto a incluir en el fichero web-inf

### generateJspRegisterTags

    public java.util.Map generateJspRegisterTags(java.lang.String jspDocRoot,
                                                 java.lang.String webAppRoot,
                                                 java.lang.String webAppRootRelativeJspDocRoot)

  Genera los tags de registro de los jsp

  Returns:
    (Map) Un mapa que contiene dos entradas: servletDefs y servletMappings que sa su vez son Mapas con el texto de definición de Servlets y Mappings de cada uno de los servlets

### main

    public static void main(java.lang.String[] argv)

  Metodo main (para probar el temilla...)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD